#!/bin/sh
 
rtc-template -bcxx \
    --module-name=HumanDetection_LRF --module-type='DataFlowComponent' \
    --module-desc='HumanDetection_LRF compornent' \
    --module-version=1.0 --module-vendor='Nemoto,Mizoguchi Lab,Tokyo University of Science' \
    --module-category=RobotModule \
    --module-comp-type=DataFlowComponent --module-act-type=SPORADIC \
    --module-max-inst=10 \
	--inport=UrgData:TimedLongSeq\
    --outport=HumanPosXY:TimedXYDouble    \
    --outport=HumanPos:TimedOdometry    \
    --outport=Obstacle:TimedObstacles    \
    --outport=HumanObject:TimedXYDoubleSeq    \
    --outport=ObstacleObject:TimedXYDoubleSeq    \
   	--service=TrackingPort:LRFTracking:LRFTracking \
   	--consumer=LRFPORT:LRFInfo:LRFInfo \
    --consumer-idl=LRFProcess.idl \
   --consumer-idl=MyDataType.idl \

